import Cell from "../models/Cell";


class CellBuilder {
  constructor(){}

  setColumnName(name) {
    this.columnName = name;
    return this;
  }

  setColumnContent(content) {
    this.content = content;
    return this;
  }

  setColumnType(type) {
    this.type = type;
    return this;
  }

  build() {
    return new Cell(this);
  }

}

export default CellBuilder