import Database from "../models/Database";

class DatabaseBuilder {
  constructor(){}

  setDatabaseName(name) {
    this.name = name;
    return this;
  }

  setDatabaseId(id) {
    this.databaseId = id;
    return this;
  }

  setDatabaseImage(image) {
    this.image = image;
    return this;
  }

  setColumns(columns) {
    this.columns = columns;
    return this;
  }

  setRows(rows) {
    this.rows = rows;
    return this;
  }

  build() {
    return new Database(this);
  }

}

export default DatabaseBuilder