import Row from "../models/Row";

class RowBuilder {
  constructor(){}

  setDatabaseId(id) {
    this.databaseId = id;
    return this;
  }

  setDatabase(database) {
    this.database = database;
    return this;
  }

  setRowId(id) {
    this.rowId = id;
    return this;
  }

  setCells(cells) {
    this.cells = cells;
    return this;
  }

  build() {
    return new Row(this);
  }

}

export default RowBuilder